# apiVersion: v1
# kind: Service
# metadata:
#   name: argocd-service
#   namespace: default
# spec:
#   type: NodePort
#   #externalName: argocd-server.argocd.svc.cluster.local
#   ports:
#     - port: 443
#       targetPort: 443 
# ---
# apiVersion: v1
# kind: Endpoints
# metadata:
#   name: argocd-service
# subsets:
#   - addresses:
#       - ip: 172.20.93.172 
#     ports:
#       - port: 443       
# ---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: argocd-server-ingress
  namespace: argocd
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    kubernetes.io/ingress.class: nginx
    #nginx.ingress.kubernetes.io/scheme: internet-facing
    #nginx.ingress.kubernetes.io/listen-ports: '[{"HTTP": 80}, {"HTTPS": 443}]'
    #alb.ingress.kubernetes.io/target-type: instance
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"
    nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
    external-dns.alpha.kubernetes.io/hostname: argocd.praise.iamobinna.com
spec:
  rules:
  - host: argocd.praise.iamobinna.com
    http:
      paths:
      - backend:
          serviceName: argocd-server
          servicePort: https
        path: /*
  tls:
  - hosts:
    - "argocd.praise.iamobinna.com"
    secretName: certificate-secret 
